/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern int p3d_read_traj ( const char *file );
extern int p3d_save_traj ( const char *file, p3d_traj * traj );
extern int p3d_save_traj_matlab ( const char *file, p3d_traj * traj );
extern int save_trajectory_without_header(FILE * f, pp3d_traj trajPt);
extern p3d_localpath *get_local_path( p3d_rob *robotPt, int index ); // from here added Victor
extern configPt get_lp_initConfig( p3d_rob *robotPt, int index );
extern configPt get_lp_anyConfig( p3d_rob *robotPt, int index, double param);
extern void copy_trajectory(p3d_rob *robotPt,int whichone);
extern void copy_sel_traj_into_tmod_only(p3d_rob *robotPt,int whichone);
extern void p3d_insert_new_conf_into_tmod(p3d_rob *robotPt);

#endif /* __CEXTRACT__ */
